public class BankDemo {
    public static void main(String[] args) {
        CheckingAccount c = new CheckingAccount(101);
        System.out.println(c);
        System.out.println("\nDepositing $500...");
        c.deposit(500.00);
        System.out.println(c);
        try {
            System.out.println("\nWithdrawing $100...");
            c.withdraw(100.00);
            System.out.println(c);
            System.out.println("\nWithdrawing $600...");
            c.withdraw(600.00);
            System.out.println(c);
        } catch (InsufficientFundsException e) {
            System.out.println("Sorry, but you don't have that much money");
            // e.printStackTrace();
        }
    }
}
